Skip to main content.
home | support | download

Back to List Archive

Re: [swish-e] ANNOUNCE: 2.4.7 released

From: Peter Karman <peter(at)>
Date: Fri Apr 10 2009 - 02:17:42 GMT
Roy Tennant wrote on 4/9/09 8:27 PM:
> On Thu, Apr 9, 2009 at 5:46 PM, Peter Karman <> wrote:
>> Roy Tennant wrote on 4/9/09 7:28 PM:
>>> 2) I indexed the files on my laptop, which has 3GB of RAM (which did
>>> fine) and then uploaded the index to the server. Unfortunately, this
>>> did not work despite having the same version of Swish-e in both
>>> places. Since the error was a "wrong index format" error, I think the
>>> problem may have stemmed from either moving from a Mac to Unix (the
>>> classic line-ending problem) or an error introduced in tarring,
>>> gzipping, ftping, and untarring and ungzipping.
>> I expect it's a 32-bit vs 64-bit issue. I move files from Linux to OS X to
>> FreeBSD all the time, and as long as they are the same size architecture and
>> same Swish-e version, all is well.
> Do you know of any work-arounds for this?

no. I just tested both scenarios (build on 32, search on 64 -- build on 64,
search on 32) and both gave that same error.

Others with more insight into the arch issue might have suggestions.

Peter Karman  .  .  peter(at)
Users mailing list
Received on Thu Apr 9 22:17:54 2009